<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>
		//<![CDATA[
		window.onload=function(){
			$('.fade-anchor').click(function(e){
				e.preventDefault();
				$('#fade-content').css('max-height','none');
				$('.fade-anchor').remove();
			});
		}
		//]]> 
	</script>	
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrAnahaSpa-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">The rhythm of the body, the melody of the mind &amp;<br />the harmony of the soul create the symphony of life</div>
			</div>
		</div>
	
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Anaha Spa</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Anaha...The Wellness Spa</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div id="fade-container">
					<div id="fade-content">
						<!--h2 class="trajan olive text-center">Welcome to Anaha...The Rejuvenation Spa at Shreyas, India</h2-->
						<p class="text-justify">
							Anaha Spa and Wellness Centre was born from the desire to offer more holistic healing experiences at Shreyas Yoga Retreat. Anaha, in Sanskrit meaning 'well-being' or 'to breathe freely' perfectly expresses our philosophy. In ancient scriptures, the breath or 'prana' is considered to be a lifeforce, creating a harmony between one's body and the world around.<br /><br />
							From age-old Ayurvedic treatments to modern therapies, from naturopathy to a wide range of massages, our new spa is designed to offer the best wellness experience. Let our experienced consultants with knowledge of techniques from across the world, create a personalized, wellness regime to help you chart your own journey towards harmony.<br /><br />
							The interplay of elements define the physical form of Anaha Spa; with its main block half-sunken into the earth, its upper pavilions open to the wind, and the links between the two stretching across wide, open spaces. The spa has several east-facing spaces drenched with sunlight each morning, perfect for yoga and meditation. The 16,000 square feet spa includes 13 spa rooms, with dedicated rooms for Ayurveda, some with a personal steam cabinet, rooms for Western massages, and a separate 3-room section for hydrotherapies. Anaha Spa can host a wide number of guests, yet cater to the individual demands of each. There are also separate spa facilities for men and women, including steam rooms and experiential showers.<br /><br />
							Beyond the spa, facilities like a salon offering our signature pedicures, manicures, hair wash, blow dries and facials (with ingredients sourced from our own herb gardens!), a gymnasium for the fitness-conscious, an organic juice bar, and partially open lounge spaces are also available for guests. You could also peruse and purchase literature on a wide range of subjects from ayurveda to health food at our in-house boutique, as also clothes, yoga mats, props, in-house scrubs and other souvenirs, The Shreyas Boutique with our home-grown organic produce, from preserves to munchies, would also be a great place to stock up on healthy fare.<br /><br />
							The main block of the Rejuvenation Spa is half submerged into the earth and connects with the light and air elements through a series of sunken courts. Each block then arises from these sunken gardens and seamlessly fuses into the space providing the lightness expected from this serene space.
						</p>
					</div>
					<div class="fade-anchor"><br/><span class="fade-anchor-text">Read More</span></div>
				</div>						
				<div class="spacer-20"></div>	
			</div>
		</div>
			
		<div class="content-xs">
			<div class="container">
			
				<div class="carousel slide carousel-v2" id="portfolio-carousel">
					<ol class="carousel-indicators">
						<li class="rounded-x active" data-target="#portfolio-carousel" data-slide-to="0"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="1"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="2"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="3"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="4"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="5"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="6"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="7"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="8"></li>
						
					</ol>
					<div class="carousel-inner">
						<div class="item active"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-1.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-2.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-3.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-4.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-5.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-6.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-7.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-8.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/spa/spa-slider-9.jpg" alt=""></div>
						
					</div>
					<!--a class="left carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="prev"><i class="fa fa-angle-left arrow-prev"></i></a>
					<a class="right carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="next"><i class="fa fa-angle-right arrow-next"></i></a-->
				
				</div>
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				<div class="col-md-5">
					<img class="img-responsive" src="./assets/img/spa/ahana-spa-2.jpg" alt="" />
				</div>
				<div class="col-md-7">
					<h3 class="">Spa Facilities</h3>
					<ul class="list">
						<li>4 Ayurvedic therapy rooms (with steam facilities).</li>
						<li>4 rooms for Western massages.</li>
						<li>1 room for Mud therapy.</li>
						<li>Thai massage room.</li>
						<li>A Naturopathy section with three rooms for hydrotherapy, acupressure and acupuncture.</li>
						<li>Each spa room measures approximately 600 square feet with peaceful private views of the landscaped gardens of Shreyas.</li>
						<li>2 indoor Yoga pavilions on the upper level. The larger pavilion is built over 2000 square feet allow natural sunlight from the east to create an amazing setting for morning Yoga sessions.</li>
						<li>Gymnasium.</li>
						<li>Juice Bar.</li>
						<li>Beauty Salon.</li>
						<li>The Boutique at Shreyas which features yoga clothing, mats and selected books on India, Ayurveda and Wellness.</li>
						<li>Herb garden with fresh ingredients used in our scrubs and masks.</li>
						<li>Changing rooms for men and women with showers, steam, sauna facilities and Jacuzzi.</li>
						<li>Semi open lounge spaces and Meditation zones.</li>
					</ul>					
				</div>	
			</div>
		</div>	

		<div class="content-xs">
			<div class="container">

				<div class="owl-carousel-v4 margin-bottom-40">

					<div class="owl-slider-v4">
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-panchakarma.jpg" alt="" />
							<h2>Panchakarma<br />Therapies</h2>
							<p>Panchakarma, in Sanskrit literally means 'five actions', and in Ayurvedic practices these are procedures...</p>
							<a href="./panchakarma" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div>
						
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-ayurveda-therapies.jpg" alt="" />
							<h2>Ayurveda<br />Therapies</h2>
							<p>In this day and age, most people are familiar with the term 'Ayurveda' – the world's oldest medicinal and...</p>
							<a href="./ayurveda-therapy" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div>
						
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-naturopathy.jpg" alt="" />
							<h2>Naturopathy<br />Treatments</h2>
							<p>Naturopathy, as the name suggests comprises of 'natural' healing remedies and techniques. Some say that...</p>
							<a href="./naturopathy" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div>
						
						<!--div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-ayurveda-medical-cure.jpg" alt="" />
							<h2>Ayurveda For<br />Medical Cure</h2>
							<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the</p>
							<a href="./ayurveda-for-medical-cure" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div-->
						
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-rejuvenation-massages.jpg" alt="" />
							<h2>Rejuvenation<br />Massages</h2>
							<p>Rejuvenation massages may seem like a new, upcoming trend yet the practice of mixing together natural ingredients...</p>
							<a href="./rejuvenation-massages" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div>
						
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/spa/anaha-spa-spa-beauty-treatments.jpg" alt="" />
							<h2>Spa Beauty<br />Treatments</h2>
							<p>An invigorating and exfoliating body scrub using sea salts and almond oil to stimulate the blood circulation and...</p>
							<a href="./spa-beauty-treatments" class="btn-u btn-u-olive rounded uc ls-1">Read More</a>
						</div>

					</div>
				</div>

			</div>
		</div>	

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
