<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrAshtangaYogaRetreats-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yogah karmasu koshalam - Yoga is skill in action</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./yoga">Yoga</a></li>
					<li class="active">Ashtanga Yoga</li>
				</ul>
			</div>
		</div>
	
		<div class="content-xs"><h1 class="ipTitle">Ashtanga Yoga</h1></div>
	
		<div class="content-xs">
			<div class="container">
			
				<div class="carousel slide carousel-fade carousel-v2" id="portfolio-carousel">
					<ol class="carousel-indicators">
						<li class="rounded-x active" data-target="#portfolio-carousel" data-slide-to="0"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="1"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="2"></li>
					</ol>
					<div class="carousel-inner">
						<div class="item active"><img class="img-responsive full-width" src="./assets/img/yoga/ashtanga-yoga-retreats-slider-1.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/yoga/ashtanga-yoga-retreats-slider-2.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/yoga/ashtanga-yoga-retreats-slider-3.jpg" alt=""></div>
					</div>
					<!--a class="left carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="prev"><i class="fa fa-angle-left arrow-prev"></i></a>
					<a class="right carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="next"><i class="fa fa-angle-right arrow-next"></i></a-->
				</div>

			</div>
		</div>

		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">
					We offer Ashtanga Vinyasa Yoga sessions for experienced practitioners.<br /><br />
					Ashtanga Vinyasa is a set sequence of postures, practiced in a precise flow (vinyasa) linked by the breath. The series is mastered one asana at a time, with the student only moving to the next more advanced asana once the last asana has been mastered. Every movement in the series is clearly defined and has been practiced this way for generations. Students are discouraged from making any changes to this sequence, as this set sequence becomes a tool to analyze the body and the mind as we come to the mat and practice the same sequence day after day.<br /><br />
					Each movement is linked to the breath with the student practicing "Ujjayi" or victorious breathing – the practitioner constricts the throat, producing a breath that sounds like the ocean and allows the air to be purified and heated before it enters the body, thus facilitating the elimination of toxins.<br /><br />
					There are three vital elements to the Ashtanga practice which are referred as "tristana"
				</p>
				<ul>
					<li>"Ujjayi" breath (as described above).</li>
					<li>"Drishti" or gaze points. There is a set gaze point for each movement (third eye, nose, foot, hand), this allows the student to withdraw the mind from external sensory stimuli, focus the mind and move.</li>
					<li>"Bandhas" or body locks which lock "prana" (energy) in the body.</li>
				</ul>
				<p class="txt-justify">
					This practice is elegant but powerful and creates great amounts of heat in the body, which increases flexibility and helps in the rapid elimination of toxins. The focus on "drishti" points and on the breath will build total and absolute concentration over time, leading gradually to a heightened sense of awareness and deeper connection to, and understanding of, life, oneself, and others.<br /><br />
					For enquiries and reservation formalities for Ashtanga Vinyasa retreats and classes, please email: <a href="mailto:reservations@shreyasretreat.com">reservations@shreyasretreat.com</a><br /><br />
					Call Shreyas at +91 80 27737102 / 3 or +91 99161 10434<br /><br />
					
					
					<a href="./package_details.php?id=4" class="btn-u btn-u-olive-trans rounded uc ls-1 ">Explore Yoga Retreat Packages</a>
				</p>
				<!--a href="" class="btn-u btn-u-olive uc ls-1">Read More</a-->
			</div>
		</div>
		
		<div class="spacer-30"></div>
			
		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
