<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>//<![CDATA[
	window.onload=function(){
	$('.fade-anchor').click(function(e){
		e.preventDefault();
		$('#fade-content').css('max-height','none');
		$('.fade-anchor').remove();
		});
	}//]]> 
	</script>	
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrAyurvedaTreatments-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Samatvam Uchyate Yogah - Yoga is dynamic equanimity</div>
			</div>
		</div>
	
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./anaha-spa">Anaha Spa</a></li>
					<li class="active">Ayurveda Therapy</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Ayurveda Therapy</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div id="fade-container">
					<div id="fade-content">
						<p class="txt-justify">
							In this day and age, most people are familiar with the term ‘Ayurveda’ – the world’s oldest medicinal and healing system. The knowledge of Ayurveda, legend has it, was imparted by the god, Dhanvantari in his earthly incarnation as Divodasa, to a group of wise physicians. Interestingly, the word Ayurveda means the ‘the science of life or longevity’ – the latter, a quest of every civilization on Earth.<br /><br />
							Ayurveda, as an oral tradition can be traced back to the days of the Indus Valley civilization, and its first written records are over five thousand years old. Over time, Ayurvedic knowledge has evolved – with subtle variations and additions from different scholars. It is from this collective compendium of knowledge, that we at Anaha Spa draw our inspiration for our healing and wellness therapies.<br /><br />
							Ayurvedic remedies involve simple or complex herbal ingredients that one ingests or applied during a well-planned regime of intrinsic and extrinsic techniques. With our organic garden close at hand, most of Anaha Spa’s herbal compounds are made in-house, ensuring you have the most natural healing procedures. These natural compounds, similar to those present within the human body, can address the imbalance of elements; wind, water, fire, air and space. Achieving a balance between the elemental energies revitalizes the immune system and sets the healing processes into motion.<br /><br />
							Beyond the physiological imbalances, Ayurveda is also considers the physical and mental environments. Increasingly, Western forms of medicine are also acknowledging the critical role of the physical space and one’s mindset in tapping into the body’s healing mechanisms. That’s why Anaha Spa, with its expert consultants and practitioners, as also its colourful gardens, airy spaces and quiet pavilions can offer you a holistic, healing experience. Break away from your everyday rhythm and routine, chart your regime of remedies, relaxation and recreation - for the perfect rejuvenation and revitalization of the body, mind and soul!
						</p>
					</div>
					<div class="fade-anchor"><br/><span class="fade-anchor-text">Read More</span></div>
				</div>						
				<div class="spacer-20"></div>	
			</div>
		</div>
	
		<div class="content-xs">
			<div class="container">
			
				<div class="row">
					<?php 
					$resultsAT = $mysqli->query("SELECT * FROM `AyurvedaTreatments` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
					if ($resultsAT) { 
						while($objAT = $resultsAT->fetch_object()) {								
					?>
							<div class="col-sm-6 g-mb-50">
								<div class="gsBrdBlock">
									<div class="gsBrdBlockPicBox">
										<div class="gsBrdBlockPicBrdr"></div>
										<img alt="" src="./assets/img/ayurveda-treatments/<?php echo $objAT->Pic ?>" class="full-width img-responsive gsBrdBlockPic">
									</div>
									<h1><?php echo $objAT->Title ?></h1>
									<div class="block showmore">
										<p><?php echo $objAT->Description ?></p>
									</div>
									<a href="./packages" class="btn-u btn-u-olive rounded uc ls-1 <?php if(strlen($objAT->Description)>150){ ?>btnNextToReadMore<?php } ?>">Explore the Packages</a>
								</div>		
							</div>
					<?php
						}
					}
					?>
				</div>

			</div>
		</div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
