<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrHathaYogaRetreats-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
	
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./yoga">Yoga</a></li>
					<li class="active">Hatha Yoga</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Hatha Yoga</h1></div>
	
		<div class="content-xs">
			<div class="container">
			
				<div class="carousel slide carousel-fade carousel-v2" id="portfolio-carousel">
					<ol class="carousel-indicators">
						<li class="rounded-x active" data-target="#portfolio-carousel" data-slide-to="0"></li>
						<li class="rounded-x" data-target="#portfolio-carousel" data-slide-to="1"></li>
					</ol>
					<div class="carousel-inner">
						<div class="item active"><img class="img-responsive full-width" src="./assets/img/yoga/hatha-yoga-retreats-slider-1.jpg" alt=""></div>
						<div class="item"><img class="img-responsive full-width" src="./assets/img/yoga/hatha-yoga-retreats-slider-2.jpg" alt=""></div>
					</div>
					<!--a class="left carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="prev"><i class="fa fa-angle-left arrow-prev"></i></a>
					<a class="right carousel-control rounded-x" href="#portfolio-carousel" role="button" data-slide="next"><i class="fa fa-angle-right arrow-next"></i></a-->
				</div>


				
			</div>
		</div>

		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">Hatha Yoga (pronounced as Hut-a Yoga) sees the body as an instrument to master the mind and enable us to attain higher states of consciousness. In Sanskrit, the word 'Hatha' is formed from two syllables</p>
				<ul>
					<li>'<strong>Ha</strong>' means the Sun aspect that denotes the active masculine principle.</li>
					<li>'<strong>Tha</strong>' means the Moon aspect that denotes the passive intuitive feminine principle.</li>
				</ul>	
				<p class="txt-justify">
					Yoga comes from the Sanskrit word 'yuj' which means to 'yoke' or to 'join'. In this context, the sustained practice of Hatha Yoga enables the harmonious joining of the sun and moon aspects of our being.<br /><br />
					The practice of Hatha yoga aims to purify and harmonize the body by following these processes</p>
				<ul>
					<li><strong>Asana</strong>. This means posture; these postures have been evolved over centuries so that they exercise every muscle, nerve and gland in the body. Asana brings steadiness and lightness to the body whilst soothing and calming the nerves. But the most significant purpose of asana practice is to train and discipline the mind.</li>
					<li><strong>Pranayama</strong>. 'Prana' means breath or energy and 'Ayama' meaning to lengthen. 'Pranayama' is the science of the breath and connotes extension and control of the breath. These practices will strengthen the respiratory system, soothe the nervous system and reduce craving.</li>
					<li>'<strong>Dhyana</strong>' or Meditation. This refers to the steady flow of concentration where the body, breath, senses, mind, reason and ego are all integrated.</li>
				</ul>
				<p class="txt-justify">
					This practice is based on the ancient Indian scripture, Swatmarama's Hatha Yoga Pradipika which gives us clear guidelines on Asanas (Postures), Pranayama (breathing techniques), Bandhas (Yogic locks), and Mudras (gesture using fingers).<br /><br />
					For enquiries and reservation formalities for Hata Yoga Retreats in India and personal hata yoga sessions, please email: <a href="mailto:reservations@shreyasretreat.com">reservations@shreyasretreat.com</a><br /><br />
					Call Shreyas at +91 80 27737102 / 3 or +91 99161 10434<br /><br />
					<a href="./package_details.php?id=4" class="btn-u btn-u-olive-trans rounded uc ls-1 ">Explore Yoga Retreat Packages</a>
				</p>		
			</div>
		</div>
			
		<div class="spacer-30"></div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
