<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<!-- CUSTOM SCRIPTS
	================================================== -->
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>
	//<![CDATA[
	$(document).on("click", ".open-PackageDetailsModal", function () {
		var offerTitle = $(this).data('title');
		var offerTitle2 = $(this).data('title2');
		var offerDescription = $(this).data('description');
		
		$(".modal-header #txtOfferTitle").html( offerTitle );
		$(".modal-header #txtOfferTitle2").html( offerTitle2 );
		$(".modal-body #txtOfferDescription").html( offerDescription );
	});
	//]]> 
	</script>
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrNightlyRates-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">What you seek is seeking you</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li><a href="./packages">Packages</a></li>
					<li class="active">Nightly Rates</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Nightly Rates</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<p class="txt-justify">
					Once you enter Shreyas, we hope you will find the time and space to focus on your journey of self discovery. Our rate structure is hopefully transparent and you should know the likely cost of your stay at the outset. These rates include stay, meals, beverages, group yoga sessions and use of all facilities. Guests may customize their stay on arrival by adding activities that suit their objectives (private sessions or massages etc).<br /><br />
					Many guests have commented the all inclusive policy has enabled them to focus on the activities at Shreyas and appreciated that similar rated luxury hotels have many add-on charges that can substantially add to the total cost of their stay.<br /><br />
					click here for information on our <a href="./packages">Packages</a>
				</p>	
				
				<div class="row">
					<div class="col-md-8 col-md-offset-2">
					<?php 
					$resultsNR = $mysqli->query("SELECT DISTINCT `RoomID` FROM `NightlyRates` WHERE `Status`='Active' ORDER BY `ID` ASC");
					if ($resultsNR) { 
						while($objNR = $resultsNR->fetch_object()) {
							echo "<div class='spacer-20'></div>\n";
							echo "<h2 class='txt-center trajan uc'>".getRoomTitle($objNR->RoomID)."</h2>\n";
							$resultsNRL = $mysqli->query("SELECT * FROM `NightlyRates` WHERE `RoomID`=".$objNR->RoomID." AND `Status`='Active' ORDER BY `ID` ASC");
							if ($resultsNRL) { 
								while($objNRL = $resultsNRL->fetch_object()) {								
					?>
									<div class="col-md-6">
										<div class="panel panel-olive margin-bottom-40">
											<div class="panel-heading"><h3 class="panel-title txt-center"><?php echo $objNRL->Dates ?></h3></div>
											<table class="table table-striped txt-center">
												<tbody>
													<?php if($objNRL->RoomID!=3){ ?>
													<tr><td>Single <span class=money>$<?php echo number_format($objNRL->Single) ?>.00 USD</span>*</td></tr>
													<tr><td>Double <span class=money>$<?php echo number_format($objNRL->Double) ?>.00 USD</span>*</td></tr>
													<?php } else { ?>
													<tr><td>2 double rooms and 1 single room, with ensuite baths and a large living room that accommodates 5 guests</td></tr>
													<tr><td><span class=money>$<?php echo number_format($objNRL->Multirooms) ?>.00 USD</span>*</td></tr>
													<?php } ?>
													<tr><td><a href="#PackageDetailsModal" class="btn-u btn-u-olive uc ls-1 open-PackageDetailsModal rounded" data-toggle="modal" data-title="<?php echo $objNRL->Dates ?>" data-title2="<?php echo $objNRL->Title ?>" data-description="<?php echo $objNRL->PackageDetails ?>">Inclusions</a></td></tr>
												</tbody>
											</table>
										</div>
									</div>
					<?php
								}
							}
							
						}
					}
					?>
					* Taxes and service charges extra
					</div>
				</div>
			</div>
		</div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
	
	<!-- Offer Details Modal -->
	<div class="modal fade" id="PackageDetailsModal" tabindex="-1" role="dialog" _data-backdrop="static">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<div class="row">
						<div class="col-md-4"><span class="uc ls-1 bold" id="txtOfferTitle" name="txtOfferTitle" ></span></div>
						<div class="col-md-4 txt-center"><span class="uc ls-1 bold" id="txtOfferTitle2" name="txtOfferTitle2" ></span></div>
						<div class="col-md-4"></div>
					</div>
				</div>
				
				<div class="modal-body">
					<div id="txtOfferDescription" name="txtOfferDescription"></div>
				</div>
					
				<div class="modal-footer" style="text-align:left;">
					<button type="button" data-target="#EnquireModal" data-toggle="modal" class="open-EnquireModal btn-u btn-u-olive uc" data-dismiss="modal" data-title="Nightly Rates">Enquire Now</button>
					<a href="https://gc.synxis.com/rez.aspx?Hotel=51535&amp;Chain=8565&amp;template=GCFlexShared_shreyas&amp;shell=GCFlex_shreyas2" target="_blank" class="book-now-top">BOOK NOW</a>
				</div>
							
			</div>
		</div>
	</div>	
	
</body>
</html>
