<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>//<![CDATA[
	window.onload=function(){
	$('.fade-anchor').click(function(e){
		e.preventDefault();
		$('#fade-content').css('max-height','none');
		$('.fade-anchor').remove();
		});
	}//]]> 
	</script>	
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrRooms-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Rooms</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Rooms</h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div id="fade-container">
					<div id="fade-content">
						<p>
							The stress of urban living leaves its imprint on each of us, making it difficult for us to hear our inner voice; at Shreyas we give you a haven of wellbeing that encourages introspection and calmness, making it easier to relax and connect with your true self. From the moment you drive through our gates you are surrounded by nature and will begin to feel its restorative effects. Set in 25 acres of pristine countryside, 1 hour’s drive from Bangalore City, Shreyas offers you a luxurious home away from home. Shreyas is a seamless blend of the modern and the timeless, luxury and simplicity, indulgence and enlightenment. The private, serene and 'simply' luxurious accommodation has been structured to make the guest feel like they are living in the middle of nature. The architecture and interiors are a confluence of traditional and the modern – tiled roofs, antique doorways and stone pillars give way to contemporary interiors and state of the art facilities.<br /><br />
							Belying the idea that a retreat means roughing it out, cottages at Shreyas Retreat are built for comfort. Accommodation comprises of 8 elegant and earthy garden cottages with tented canopies, enclosed courtyard & open-air shower rooms), 3 luxury poolside cottages and one luxury 3-bedroom cottage. The interiors are luxurious yet minimalistic, and in muted neutral shades that calm the senses. The rooms are airy and well lit, with large windows that bring the nature indoors.<br /><br />
							All rooms are given Sanskrit names to remind us of qualities that we aspire to embody e.g. 'Shanti' meaning 'peace' or 'Vairagya' meaning 'detachment'..
						</p>
					</div>
					<div class="fade-anchor"><br/><span class="fade-anchor-text">Read More</span></div>
				</div>						
				<div class="spacer-20"></div>	
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				<?php 
				$resultsR = $mysqli->query("SELECT * FROM `Rooms` WHERE `Status`='Active' ORDER BY `SortOrder` ASC");
				if ($resultsR) { 
					while($objR = $resultsR->fetch_object()) {								
				?>
						<div class="col-md-4">
							<div class="item pkg-item">
								<img class="img-responsive" src="./assets/img/rooms/<?php echo $objR->Pic ?>" alt="" />
								<h2 class="g-mt-20 g-mb-20"><?php echo $objR->Title ?></h2>
								<a href="./<?php echo seoUrl($objR->Title) ?>" class="btn-u btn-u-olive-trans uc ls-1 rounded">Explore More</a>
							</div>
						</div>
				<?php
					}
				}
				?>
			</div>
		</div>	

		<div class="spacer-30"></div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
