<?php
	require('./admin/includes/config.php');
	$curPageName = basename($_SERVER["PHP_SELF"]);
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<title>Shreyas Yoga Retreat India - A Boutique Resort &amp; Luxury Ashram</title>
	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="">

	<!-- Favicon -->
	<link rel="shortcut icon" href="./assets/img/favicon.ico" />

	<!-- Web Fonts -->
	<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>

	<!-- CSS Global Compulsory -->
	<link rel="stylesheet" href="assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="assets/css/style.css">

	<!-- CSS Header and Footer -->
	<link rel="stylesheet" href="assets/css/headers/header-default.css">
	<link rel="stylesheet" href="assets/css/footers/footer-v1.css">

	<!-- CSS Implementing Plugins -->
	<link rel="stylesheet" href="assets/plugins/animate.css">
	<link rel="stylesheet" href="assets/plugins/line-icons/line-icons.css">
	<link rel="stylesheet" href="assets/plugins/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="assets/plugins/animated-headline/css/animated-headline.css">
	<link rel="stylesheet" href="assets/plugins/parallax-slider/css/parallax-slider.css">
	<link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
	<link rel="stylesheet" href="assets/plugins/owl-carousel/owl-carousel/owl.carousel.css">
	<link rel="stylesheet" href="assets/plugins/layer-slider/layerslider/css/layerslider.css">
	<link rel="stylesheet" href="assets/plugins/cube-portfolio/cubeportfolio/css/cubeportfolio.min.css">
	<link rel="stylesheet" href="assets/plugins/cube-portfolio/cubeportfolio/custom/custom-cubeportfolio.css">

	<!-- CSS Theme -->
	<link rel="stylesheet" href="assets/css/theme-colors/default.css" id="style_color">
	<link rel="stylesheet" href="assets/css/theme-skins/dark.css">

	<!-- CSS Customization -->
	<link rel="stylesheet" href="assets/css/custom.css">
	
	<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
	<script type='text/javascript'>//<![CDATA[
	window.onload=function(){
	$('.fade-anchor').click(function(e){
		e.preventDefault();
		$('#fade-content').css('max-height','none');
		$('.fade-anchor').remove();
		});
	}//]]> 
	</script>	
</head>

<body class="header-fixed header-fixed-space-default">
	<div class="wrapper">
		<?php include "header.php" ?>
	
		<div id="layerslider" style="width:100%; height:500px;">
			<div class="logoRnC"><img src="./assets/img/logoRelaisnchateaux.png" alt="Relais &amp; Chateaux" /></div>
			<div class="ls-slide" style="slidedirection:fade; transition2d:92,93,105; text-align:center;">
				<img src="./assets/img/sliders/bnrYoga-1.jpg" class="ls-bg" alt="Slide background">
				<div class="ls-s-1 ls-1 txtInnerBanner text-shadow" style="top:250px; left:50%; width:100%; height:88px; slidedirection:fade; slideoutdirection:fade; durationin:2000; durationout:2000;">Yoga is the journey of self discovery</div>
			</div>
		</div>
		
		<div class="breadcrumbs">
			<div class="container">
				<ul class="breadcrumb">
					<li><a href="./">Home</a></li>
					<li class="active">Yoga</li>
				</ul>
			</div>
		</div>

		<div class="content-xs"><h1 class="ipTitle">Yoga </h1></div>
	
		<div class="content-xs">
			<div class="container">
				<div id="fade-container">
					<div id="fade-content">
						<p class="txt-justify">
							Shreyas gives you a unique insight into Yoga, irrespective of whether you are a beginner or have practiced for many years. At Shreyas, Yoga is non-denominational and open to people of all faiths; we appeal to those who wish to familiarize themselves with this ancient Indian philosophy, without necessarily delving into its religious aspects.<br /><br />
							Often misunderstood to be simply a set of physical exercises, Yoga is a practice that allows us to look deep within the Self for answers to questions of existence and being. Yoga is derived from the Sanskrit word 'yuj' meaning, 'to join' or 'to yoke' and refers to the process of joining the mind with the body and ultimately the individual self (prakriti) with the divine self (purusha). Yoga has an amazing effect on our body mind and energies, restores balance into our lives allowing us to deal with life's ups and downs with a sense of equanimity; it resolves our inner conflicts, enables total excellence and allows us to fulfil our potential to become complete human beings.<br /><br />
							Traditional Yoga classes at Shreyas are, conducted by our experienced instructors, based on both traditional <a href='./hatha-yoga-retreats'>Hatha Yoga</a> and <a href='./ashtanga-yoga-retreats'>Ashtanga Vinyasa Yoga</a>. Our teachers are unique, being steeped in ancient knowledge and also trained in modern teaching methods. All classes are adapted for beginner, intermediate and advanced levels.<br /><br />
							Twice daily group classes and one <a href='./spiritual-retreat'>meditation session</a> are included in the stay for all guests. For those who wish to explore different aspects of the yoga practice, there are sessions teaching Pranayama (understanding and regulating our breath), Pratyahara (withdrawal / internalization of sensory inputs), Dharana (concentration), Dhyana (meditation).<br /><br />
							<strong>GUEST YOGA TEACHERS:</strong><br />
							We also welcome yoga teachers who choose Shreyas as a venue for their students to deepen their practice in a serene and rejuvenating environment. Yoga teachers can design their own agenda for the retreat and we will provide all the facilities required, and are also glad to facilitate the retreat in a number of ways.
						</p>
					</div>
					<div class="fade-anchor"><span class="fade-anchor-text">Read More</span></div>
				</div>						
				<div class="spacer-20"></div>	
			</div>
		</div>
		
		<div class="content-xs">
			<div class="container">
				
				<div class="owl-carousel-v4 margin-bottom-40">
					<div class="owl-slider-v4">
					
						

						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/yoga/ashtanga-yoga-retreat.jpg" alt="" />
							<h2 class="g-mt-20 g-mb-20">Ashtanga Yoga</h2>
							<a href="./ashtanga-yoga-retreats" class="btn-u btn-u-olive-trans rounded uc ls-1">Explore More</a>
						</div>
	
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/yoga/hatha-yoga-retreat.jpg" alt="" />
							<h2 class="g-mt-20 g-mb-20">Hatha Yoga</h2>
							<a href="./hatha-yoga-retreats" class="btn-u btn-u-olive-trans rounded uc ls-1">Explore More</a>
						</div>
	
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/yoga/spiritual-yoga-retreats.jpg" alt="" />
							<h2 class="g-mt-20 g-mb-20">Yoga & Spirituality</h2>
							<a href="./spiritual-yoga-retreats" class="btn-u btn-u-olive-trans rounded uc ls-1">Explore More</a>
						</div>
	
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/yoga/yoga-processes.jpg" alt="" />
							<h2 class="g-mt-20 g-mb-20">Yoga Processes</h2>
							<a href="./yoga-processes" class="btn-u btn-u-olive-trans rounded uc ls-1">Explore More</a>
						</div>
						
						<div class="item pkg-item">
							<img class="img-responsive" src="./assets/img/yoga/special-yoga-retreats.jpg" alt="" />
							<h2 class="g-mt-20 g-mb-20">Special Yoga Retreats</h2>
							<a href="./special-yoga-retreats" class="btn-u btn-u-olive-trans rounded uc ls-1">Explore More</a>
						</div>

					</div>
				</div>
				
			</div>
		</div>	

		<div class="container-fluid no-padding">
			<div class="yoga-video">
				<!--div class="g-heading-v10 g-mb-65 text-center">
					<h2 class="g-color-white">Video</h2>
					<p></p>
				</div-->
				<div class="btnVideoPlay"><a class="cbp-lightbox animated fadeInUp wow" data-wow-duration="2s" data-wow-delay=".5s" data-title="Shreyas Retreat" href="https://youtu.be/zKRMQUvS-t8?&amp;rel=0&amp;autoplay=1" data-cbp-lightbox="shreyas-video"><i class="fa fa-play"></i></a></div>
				<div id="cbp-lightbox" class="dp-none"></div>			
			</div>
		</div>

		<div class="spacer-30"></div>

		<?php include "footer.php" ?>

	</div><!--/wrapper-->

	<?php include "footer-js.php" ?>
		
</body>
</html>
