<?php
/*
Plugin Name: Car Listing
Description: Declares a plugin that will create a Car Listing.
Version: 1.0
Author: Narendra Kumar
License: MOGUL
*/
?>
<?php
add_action( 'init', 'create_car_model' );
function create_car_model() {
    register_post_type( 'car_model',
        array(
            'labels' => array(
                'name' => 'Car Model',
                'singular_name' => 'Add Car Model',
                'add_new' => 'Add New',
                'add_new_item' => 'Add New Car Model',
                'edit' => 'Edit',
                'edit_item' => 'Edit Car Model',
                'new_item' => 'New Car Model',
                'view' => 'View',
                'view_item' => 'View Car Model',
                'search_items' => 'Search Car Model',
                'not_found' => 'No Car Model Found',
                'not_found_in_trash' => 'No Car Model found in Trash',
                'parent' => 'Parent Car Model'
            ),
            'public' => true,
            'menu_position' => 15,
            'supports' => array('title','editor','revisions','thumbnail','excerpt'),
            'taxonomies' => array( 'category' ),
            'menu_icon' => '',
            'has_archive' => true	
        )
    );
}

add_action( 'admin_init', 'my_car_model_plugin' );

function my_car_model_plugin() {
    add_meta_box( 'car_model_meta_box',
        'Add New car_model',
        'add_car_model_meta_box',
        'car_model',
		'normal', 
		'high'
    );
}

function add_car_model_meta_box( $car_model ) {
// Retrieve current location ID
    $car_model_name = get_post_meta( $car_model->ID, 'car_model_name', true );
  
    ?>
	
    <table>
        <tr>
            <td style="width: 150px">Car Model</td>
            <td>
            <input type="text" name="car_model_name" style="width:300px; height:40px;" value="<?php echo $car_model_name; ?>"/>
            </td>
        </tr>
    </table>
	 
    <?php
}
add_action( 'save_post', 'save_car_model', 10, 2 );

function save_car_model( $car_model_id, $car_model ) {
    // Check post type for movie reviews
    if ( $car_model->post_type == 'car_model' ) 
	{
        // Store data in post meta table if present in post data
        if ( isset( $_POST['car_model_name'] ) && $_POST['car_model_name'] != '' ) 
		{
            update_post_meta( $car_model_id, 'car_model_name', $_POST['car_model_name'] );
        }
        
    }
}
